Package ghidra.app.util.bin.format.golang.rtti

# Enum Class GoFuncID

java.lang.Object
java.lang.Enum<GoFuncID>
ghidra.app.util.bin.format.golang.rtti.GoFuncID

All Implemented Interfaces:
  `Serializable`, `Comparable<GoFuncID>`, `Constable`

public enum GoFuncID extends Enum<GoFuncID>
List of function ids for runtime._func (GoFuncData) funcID field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT`
  `ASMCGOCALL`
  `ASYNCPREEMPT`
  `CGOCALLBACK`
  `DEBUGCALLV2`
  `GCBGMARKWORKER`
  `GOEXIT`
  `GOGO`
  `GOPANIC`
  `HANDLEASYNCEVENT`
  `MCALL`
  `MORESTACK`
  `MSTART`
  `NORMAL`
  `PANICWRAP`
  `RT0_GO`
  `RUNFINQ`
  `RUNTIME_MAIN`
  `SIGPANIC`
  `SYSTEMSTACK`
  `SYSTEMSTACK_SWITCH`
  `WRAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GoFuncID`
  `parseIDByte(int b)`
  `static GoFuncID`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GoFuncID[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final GoFuncID NORMAL

  - ### ABORT

    public static final GoFuncID ABORT

  - ### ASMCGOCALL

    public static final GoFuncID ASMCGOCALL

  - ### ASYNCPREEMPT

    public static final GoFuncID ASYNCPREEMPT

  - ### CGOCALLBACK

    public static final GoFuncID CGOCALLBACK

  - ### DEBUGCALLV2

    public static final GoFuncID DEBUGCALLV2

  - ### GCBGMARKWORKER

    public static final GoFuncID GCBGMARKWORKER

  - ### GOEXIT

    public static final GoFuncID GOEXIT

  - ### GOGO

    public static final GoFuncID GOGO

  - ### GOPANIC

    public static final GoFuncID GOPANIC

  - ### HANDLEASYNCEVENT

    public static final GoFuncID HANDLEASYNCEVENT

  - ### MCALL

    public static final GoFuncID MCALL

  - ### MORESTACK

    public static final GoFuncID MORESTACK

  - ### MSTART

    public static final GoFuncID MSTART

  - ### PANICWRAP

    public static final GoFuncID PANICWRAP

  - ### RT0_GO

    public static final GoFuncID RT0_GO

  - ### RUNFINQ

    public static final GoFuncID RUNFINQ

  - ### RUNTIME_MAIN

    public static final GoFuncID RUNTIME_MAIN

  - ### SIGPANIC

    public static final GoFuncID SIGPANIC

  - ### SYSTEMSTACK

    public static final GoFuncID SYSTEMSTACK

  - ### SYSTEMSTACK_SWITCH

    public static final GoFuncID SYSTEMSTACK_SWITCH

  - ### WRAPPER

    public static final GoFuncID WRAPPER

- ## Method Details

  - ### values

    public static GoFuncID[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GoFuncID valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parseIDByte

    public static GoFuncID parseIDByte(int b)